{
	"format_version": "1.8.0",
	"animations": {
		"animation.oct_db.health_menu.sliders": {
			"loop": true,
			"bones": {
				"normal": {
					"scale": "!v.is_cold && !v.is_hot"
				},
				"cold": {
					"scale": "v.is_cold"
				},
				"hot": {
					"scale": "v.is_hot"
				},
				"temp_slider": {
					"position": [
						"7*(1-v.temp_slider_smooth)",
						0,
						0
					]
				},
				"thirst_slider": {
					"scale": [
						"1-v.thirst_slider_smooth",
						1,
						1
					]
				},
				"limb_Head_slider": {
					"scale": [
						"1-v.limb_head_slider_smooth",
						1,
						1
					]
				},
				"limb_LeftArm_slider": {
					"scale": [
						"1-v.limb_leftarm_slider_smooth",
						1,
						1
					]
				},
				"limb_RightArm_slider": {
					"scale": [
						"1-v.limb_rightarm_slider_smooth",
						1,
						1
					]
				},
				"limb_Body_slider": {
					"scale": [
						"1-v.limb_body_slider_smooth",
						1,
						1
					]
				},
				"limb_Leg_slider": {
					"scale": [
						"1-v.limb_legs_slider_smooth",
						1,
						1
					]
				},
				"limb_Head": {
					"scale": [
						"1+math.sin(q.life_time*720*(v.limb_head_slider_smooth < 0.75 ? (1-v.limb_head_slider_smooth)))*0.02",
						"1+math.cos(q.life_time*720*(v.limb_head_slider_smooth < 0.75 ? (1-v.limb_head_slider_smooth)))*0.02",
						1
					]
				},
				"limb_Head_st0": {
					"scale": "v.limb_head_slider_smooth >= 0.75"
				},
				"limb_Head_st1": {
					"scale": "v.limb_head_slider_smooth > 0.5 && v.limb_head_slider_smooth < 0.75"
				},
				"limb_Head_st2": {
					"scale": "v.limb_head_slider_smooth > 0.0 && v.limb_head_slider_smooth <= 0.5"
				},
				"limb_Head_st3": {
					"scale": "v.limb_head_slider_smooth == 0"
				},
				"limb_LeftArm": {
					"scale": [
						"1+math.sin(q.life_time*720*(v.limb_leftarm_slider_smooth < 0.75 ? (1-v.limb_leftarm_slider_smooth )))*0.02",
						"1+math.cos(q.life_time*720*(v.limb_leftarm_slider_smooth < 0.75 ? (1-v.limb_leftarm_slider_smooth )))*0.02",
						1
					]
				},
				"limb_LeftArm_st0": {
					"scale": "v.limb_leftarm_slider_smooth >= 0.75"
				},
				"limb_LeftArm_st1": {
					"scale": "v.limb_leftarm_slider_smooth > 0.5 && v.limb_leftarm_slider_smooth < 0.75"
				},
				"limb_LeftArm_st2": {
					"scale": "v.limb_leftarm_slider_smooth > 0.0 && v.limb_leftarm_slider_smooth <= 0.5"
				},
				"limb_LeftArm_st3": {
					"scale": "v.limb_leftarm_slider_smooth == 0"
				},
				"limb_RightArm": {
					"scale": [
						"1+math.sin(q.life_time*720*(v.limb_rightarm_slider_smooth < 0.75 ? (1-v.limb_rightarm_slider_smooth )))*0.02",
						"1+math.cos(q.life_time*720*(v.limb_rightarm_slider_smooth < 0.75 ? (1-v.limb_rightarm_slider_smooth )))*0.02",
						1
					]
				},
				"limb_RightArm_st0": {
					"scale": "v.limb_rightarm_slider_smooth >= 0.75"
				},
				"limb_RightArm_st1": {
					"scale": "v.limb_rightarm_slider_smooth > 0.5 && v.limb_rightarm_slider_smooth < 0.75"
				},
				"limb_RightArm_st2": {
					"scale": "v.limb_rightarm_slider_smooth > 0.0 && v.limb_rightarm_slider_smooth <= 0.5"
				},
				"limb_RightArm_st3": {
					"scale": "v.limb_rightarm_slider_smooth == 0"
				},
				"limb_Body": {
					"scale": [
						"1+math.sin(q.life_time*720*(v.limb_body_slider_smooth < 0.75 ? (1-v.limb_body_slider_smooth )))*0.02",
						"1+math.cos(q.life_time*720*(v.limb_body_slider_smooth < 0.75 ? (1-v.limb_body_slider_smooth )))*0.02",
						1
					]
				},
				"limb_Body_st0": {
					"scale": "v.limb_body_slider_smooth >= 0.75"
				},
				"limb_Body_st1": {
					"scale": "v.limb_body_slider_smooth > 0.5 && v.limb_body_slider_smooth < 0.75"
				},
				"limb_Body_st2": {
					"scale": "v.limb_body_slider_smooth > 0.0 && v.limb_body_slider_smooth <= 0.5"
				},
				"limb_Body_st3": {
					"scale": "v.limb_body_slider_smooth == 0"
				},
				"limb_Legs": {
					"scale": [
						"1+math.sin(q.life_time*720*(v.limb_legs_slider_smooth < 0.75 ? (1-v.limb_legs_slider_smooth )))*0.02",
						"1+math.cos(q.life_time*720*(v.limb_legs_slider_smooth < 0.75 ? (1-v.limb_legs_slider_smooth )))*0.02",
						1
					]
				},
				"limb_Legs_st0": {
					"scale": "v.limb_legs_slider_smooth >= 0.75"
				},
				"limb_Legs_st1": {
					"scale": "v.limb_legs_slider_smooth > 0.5 && v.limb_legs_slider_smooth < 0.75"
				},
				"limb_Legs_st2": {
					"scale": "v.limb_legs_slider_smooth > 0.0 && v.limb_legs_slider_smooth <= 0.5"
				},
				"limb_Legs_st3": {
					"scale": "v.limb_legs_slider_smooth == 0"
				},
				"effect_thirst_root": {
					"position": [
						0,
						0,
						0
					],
					"scale": [
						"1+math.sin(q.life_time*360)*0.02",
						"1+math.cos(q.life_time*360)*0.02",
						1
					]
				},
				"effect_limb_damage_root": {
					"position": [
						"v.is_offhand ? ((v.thirst_debuff>0) + (v.temperature_debuff>0)) * 6.5",
						"!v.is_offhand ? -((v.thirst_debuff>0) + (v.temperature_debuff>0)) * 6.5",
						0
					],
					"scale": [
						"1+math.sin(q.life_time*360)*0.02",
						"1+math.cos(q.life_time*360)*0.02",
						1
					]
				},
				"effect_temperature_root": {
					"position": [
						"v.is_offhand ? (v.thirst_debuff>0) * 6.5",
						"!v.is_offhand ? -(v.thirst_debuff>0) * 6.5",
						0
					],
					"scale": [
						"1+math.sin(q.life_time*360)*0.02",
						"1+math.cos(q.life_time*360)*0.02",
						1
					]
				},
				"effect_temperature_warm": {
					"scale": "v.temp_debuff_warm"
				},
				"effect_temperature_overheat": {
					"scale": "v.temp_debuff_overheat"
				},
				"effect_temperature_heatstroke": {
					"scale": "v.temp_debuff_heatstroke"
				},
				"effect_temperature_cold": {
					"scale": "v.temp_debuff_cold"
				},
				"effect_temperature_frostbite": {
					"scale": "v.temp_debuff_frostbite"
				},
				"effect_temperature_hypothermia": {
					"scale": "v.temp_debuff_hypothermia"
				},
				"effect_temperature_visible": {
					"scale": "v.temperature_debuff"
				},
				"effect_thirst_visible": {
					"scale": "v.thirst_debuff"
				},
				"effect_limb_damage_visible": {
					"scale": "v.limb_debuff"
				},
				"effects": {
					"scale": "v.is_offhand ? 0.5 : 1"
				}
			}
		},
		"animation.oct_db.health_menu.mainhand_offsets": {
			"loop": true,
			"bones": {
				"health_menu_root": {
					"scale": 0.75,
					"position": [
						0,
						8,
						32
					]
				}
			}
		},
		"animation.oct_db.health_menu.offhand_offsets": {
			"loop": true,
			"bones": {
				"health_menu_root": {
					"scale": 0.75,
					"rotation": [
						0,
						0,
						0
					],
					"position": [
						-18,
						4,
						32
					]
				}
			}
		},
		"animation.oct_db.health_menu.setting.offhand_sneak.on": {
			"loop": false,
			"timeline": {
				"0.0": "v.sneaking_setting = 1.0;"
			}
		},
		"animation.oct_db.health_menu.setting.offhand_sneak.off": {
			"loop": false,
			"timeline": {
				"0.0": "v.sneaking_setting = 0.0;"
			}
		}
	}
}